Skip to main content
POST
Link invoice to shipment

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.

Query Parameters

invoiceId
string

"invoiceId" is required (enter it either in parameters or request body)

shipmentId
string

"shipmentId" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

invoiceId
string

Upwell identifier of the associated invoice. Use an ID returned by the API.

shipmentId
string

Shipment identifier. On a shipment record this is the source load/shipment number; on invoiceShipments it is the Upwell shipment id (shi_…).

Response

Responses for POST /api/rest/invoice_shipments

insertInvoiceShipmentsOne
InvoiceShipments · object | null

columns and relationships of "invoice_shipments"